FormamideLinearMethod
Date: 2014-08-08

melting.otherCorrections.formamideCorrections

## Class FormamideLinearMethod

- java.lang.Object
- - melting.otherCorrections.formamideCorrections.FormamideLinearMethod

- All Implemented Interfaces:
    CorrectionMethod, NamedMethod

      public class FormamideLinearMethod
      extends java.lang.Object
      implements CorrectionMethod, NamedMethod

  This class represents the linear formamide correction model lincorr. It implements the CorrectionMethod interface. McConaughy, B.L., Laird, C.D. and McCarthy, B.I., 1969, Biochemistry 8, 3289-3295. Record, M.T., Jr, 1967, Biopolymers, 5, 975-992. Casey J., and Davidson N., 1977, Nucleic acids research, 4, 1539-1532. Hutton Jr, 1977, Nucleic acids research, 4, 3537-3555.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FormamideLinearMethod()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ThermoResult` | `correctMeltingResults(Environment environment)` This method is called to correct the computed melting temperature.
    `java.lang.String` | `getName()` Gets the full name of the method.
    `boolean` | `isApplicable(Environment environment)` Check if the environment chosen by the user is a applicable with the correction model.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FormamideLinearMethod

          public FormamideLinearMethod()

  - ### Method Detail

    - #### isApplicable

          public boolean isApplicable(Environment environment)

      Description copied from interface: `CorrectionMethod`
      Check if the environment chosen by the user is a applicable with the correction model.
      Specified by:
        `isApplicable` in interface `CorrectionMethod`
      Returns:
        false if the correction method can't be used with the Environment. If the environment can make the results less reliable, a warning message will appear.

    - #### correctMeltingResults

          public ThermoResult correctMeltingResults(Environment environment)

      Description copied from interface: `CorrectionMethod`
      This method is called to correct the computed melting temperature.
      Specified by:
        `correctMeltingResults` in interface `CorrectionMethod`
      Returns:
        ThermoResult which contains the corrected results (enthalpy, entropy and melting temperature).

    - #### getName

          public java.lang.String getName()

      Gets the full name of the method.
      Specified by:
        `getName` in interface `NamedMethod`
      Returns:
        The full name of the method.